> ## Documentation Index
> Fetch the complete documentation index at: https://azure-foundry.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status updates for a fine-tuning job.



## OpenAPI

````yaml api-reference/openai-v1.yaml get /fine_tuning/jobs/{fine_tuning_job_id}/events
openapi: 3.0.0
info:
  title: Azure AI Foundry Models Service
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
  version: v1
servers:
  - url: '{endpoint}/openai/v1'
    description: Azure AI Foundry Models APIs
    variables:
      endpoint:
        default: ''
        description: >-
          A supported Azure AI Foundry Models APIs endpoint, including protocol
          and hostname.

          For example:

          https://westus.api.cognitive.microsoft.com).
security:
  - ApiKeyAuth: []
  - ApiKeyAuth_: []
  - OAuth2Auth:
      - https://cognitiveservices.azure.com/.default
tags:
  - name: Chat
  - name: Embeddings
  - name: Evals
  - name: Files
  - name: Fine-tuning
  - name: Models
  - name: Responses
  - name: Vector Stores
paths:
  /fine_tuning/jobs/{fine_tuning_job_id}/events:
    get:
      tags:
        - Fine-tuning
      summary: Get status updates for a fine-tuning job.
      operationId: listFineTuningEvents
      parameters:
        - name: api-version
          in: query
          required: false
          description: >-
            The explicit Azure AI Foundry Models API version to use for this
            request.

            `v1` if not otherwise specified.
          schema:
            $ref: '#/components/schemas/AzureAIFoundryModelsApiVersion'
            default: v1
        - name: fine_tuning_job_id
          in: path
          required: true
          description: The ID of the fine-tuning job to get events for.
          schema:
            type: string
        - name: after
          in: query
          required: false
          description: Identifier for the last event from the previous pagination request.
          schema:
            type: string
          explode: false
        - name: limit
          in: query
          required: false
          description: Number of events to retrieve.
          schema:
            type: integer
            format: int32
            default: 20
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAI.ListFineTuningJobEventsResponse'
        default:
          description: An unexpected error response.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureErrorResponse'
components:
  schemas:
    AzureAIFoundryModelsApiVersion:
      type: string
      enum:
        - v1
        - preview
    OpenAI.ListFineTuningJobEventsResponse:
      type: object
      required:
        - data
        - object
        - has_more
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/OpenAI.FineTuningJobEvent'
        object:
          type: string
          enum:
            - list
        has_more:
          type: boolean
    AzureErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: The distinct, machine-generated identifier for the error.
            message:
              type: string
              description: A human-readable message associated with the error.
            param:
              type: string
              description: >-
                If applicable, the request input parameter associated with the
                error
            type:
              type: string
              enum:
                - error
              description: The object type, always 'error.'
            inner_error: {}
          description: The error details.
    OpenAI.FineTuningJobEvent:
      type: object
      required:
        - object
        - id
        - created_at
        - level
        - message
      properties:
        object:
          type: string
          enum:
            - fine_tuning.job.event
          description: The object type, which is always "fine_tuning.job.event".
        id:
          type: string
          description: The object identifier.
        created_at:
          type: integer
          format: unixtime
          description: >-
            The Unix timestamp (in seconds) for when the fine-tuning job was
            created.
        level:
          type: string
          enum:
            - info
            - warn
            - error
          description: The log level of the event.
        message:
          type: string
          description: The message of the event.
        type:
          type: string
          enum:
            - message
            - metrics
          description: The type of event.
        data:
          description: The data associated with the event.
      description: Fine-tuning job event object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
    ApiKeyAuth_:
      type: apiKey
      in: header
      name: authorization
    OAuth2Auth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://login.microsoftonline.com/common/oauth2/v2.0/authorize
          scopes:
            https://cognitiveservices.azure.com/.default: ''

````